Android Question Fingerprint auth into Android 5 to Android 8 when available?

AscySoft

Active Member
Licensed User
Hi
I have an work app whitch is running on many android devices, from 5.0 to 8.1 etc.
I am aware of this thread regarding fingerprint auth (when supported) from android 6+ and up.
I want to implement fingerprint authentification, but I don't want to modify min sdk version on manifest editor to 23.
How should I do that? I just want to use fingerprint when hardware + software are supporting this feature, else remain to classic login dialog when android is prior 6.0 etc.
Is it posible? I think so, and I think I am missing something simple. Please advice me. Thank you.
PS: something like <uses-feature android: name="android.hardware.fingerprint" android: required=“false”/>
 
Last edited:

Erel

Administrator
Staff member
Licensed User
What happens if you only add the class and don't initialize it? Do you get any error on the Android 5 device?
 

AscySoft

Active Member
Licensed User
Befor I'll do that (witch involve complex gui change in my code as it is right now) I was first thinking to only ask if such thing is possible?
I left the mahifest to min sdk 14, and added permission for fingerprint. Without any call to this class I made a compile without errors so far. So this must be it right?
 

Erel

Administrator
Staff member
Licensed User
It can work if you don't call any method of this class. However this is something that you need to test.
 
Top